Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042382
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-11-25 09:192019-12-05 15:31
ReporterJONHMView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR20Q1
StatusclosedFix in branchFixed in SCM revision05279e2f2dfe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042382: 'Payment Method Type' field should be able to set as empty when selecting a Payment Group

DescriptionOcasionally, 'Payment Method Type' field should be empty when selecting a Payment Group.
Steps To ReproduceUsing 'White Valley Group Admin' role:

- Open 'Channel - Touchpoint Type' window and select "VBS POS Terminal Type"
- Switch to [Payment Method] tab and select "Credit/Debit" Payment Provider (Payment Method Type field should be empty)
- Save the record. It shows an error:

Error: Saving failed. If Provider Group has a value selected, Payment Method Type must have a value selected too.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0042471 closedranjith_qualiantech_com API change: ability to set payment type column to empty 
causes defect 0043919 closedadrianromero If a payment provider has ha payment type null payment processor raises an error 

-  Notes
(0116105)
hgbot (developer)
2019-12-05 12:51

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 05279e2f2dfeab33547a5761d4ddcff1dda972ae
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 05 17:20:57 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/05279e2f2dfeab33547a5761d4ddcff1dda972ae [^]

Fixed issue 42382 : Removed Check Constraint for Payment Provider and Payment Method Type

* Payment Method Type allow null values with Payment Provider

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---

- Issue History
Date Modified Username Field Change
2019-11-25 09:19 JONHM New Issue
2019-11-25 09:19 JONHM Assigned To => Retail
2019-11-25 09:19 JONHM Regression date => 2019-12-09
2019-11-25 09:19 JONHM Triggers an Emergency Pack => No
2019-11-25 10:10 guillermogil Regression date 2019-12-09 =>
2019-11-25 19:28 marvintm Status new => closed
2019-11-25 19:28 marvintm Resolution open => no change required
2019-11-26 09:12 guillermogil Status closed => new
2019-11-26 09:12 guillermogil Resolution no change required => open
2019-11-26 14:22 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-11-26 14:23 ranjith_qualiantech_com Status new => scheduled
2019-12-04 08:56 marvintm Relationship added related to 0042471
2019-12-05 12:51 hgbot Checkin
2019-12-05 12:51 hgbot Note Added: 0116105
2019-12-05 12:51 hgbot Status scheduled => resolved
2019-12-05 12:51 hgbot Resolution open => fixed
2019-12-05 12:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/05279e2f2dfeab33547a5761d4ddcff1dda972ae [^]
2019-12-05 15:31 marvintm Review Assigned To => marvintm
2019-12-05 15:31 marvintm Status resolved => closed
2019-12-05 15:31 marvintm Fixed in Version => RR20Q1
2020-05-04 08:45 adrianromero Relationship added causes 0043919


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker